## caja-extension-types caja-extension-types |

## Functions

#define | CAJA_TYPE_OPERATION_RESULT
GType | caja_operation_result_get_type ()
void | caja_module_initialize ()
void | caja_module_shutdown ()
void | caja_module_list_types ()

## Types and Values

| CajaOperationHandle
enum | CajaOperationResult

## Object Hierarchy

        GEnum
        ╰── CajaOperationResult

## Description

## Functions

### CAJA_TYPE_OPERATION_RESULT

    #define CAJA_TYPE_OPERATION_RESULT (caja_operation_result_get_type ())

### caja_operation_result_get_type ()

    GType
    caja_operation_result_get_type (void);

### caja_module_initialize ()

    void
    caja_module_initialize (GTypeModule *module);

### caja_module_shutdown ()

    void
    caja_module_shutdown (void);

### caja_module_list_types ()

    void
    caja_module_list_types (const GType **types,
                            int *num_types);

## Types and Values

### CajaOperationHandle

    typedef struct _CajaOperationHandle CajaOperationHandle;

### enum CajaOperationResult

#### Members

CAJA_OPERATION_COMPLETE |  |
CAJA_OPERATION_FAILED |  |
CAJA_OPERATION_IN_PROGRESS |  |